import {IFactory as IAppFactory} from '../IFactory';
import {IAppBus} from './IAppBus';

export interface IFactory {
    init(conf:any): void;
    setAppFactory(factory:IAppFactory):void;
    getAppBus():IAppBus;
}